#
# spec file for package 2ping
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           2ping
Version:        4.1
Release:        lp150.1.4
Summary:        Bi-directional ping utility
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Url:            http://www.finnie.org/software/2ping/
Source0:        http://www.finnie.org/software/2ping/%{name}-%{version}.tar.gz
BuildRequires:  python3-base
BuildRequires:  python3-setuptools
Requires:       python >= 3.4
# A bit tricky but should do it
Provides:       %{name} = 1397618874.f2c20471488c
Obsoletes:      %{name} = 1397618874.f2c20471488c
BuildArch:      noarch

%description
2ping is a bi-directional ping utility. It uses 3-way pings (akin to TCP SYN,
SYN/ACK, ACK) and after-the-fact state comparison between a 2ping listener and
a 2ping client to determine which direction packet loss occurs.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 doc/2ping.1 %{buildroot}%{_mandir}/man1/2ping.1
install -m 0644 doc/2ping.1 %{buildroot}%{_mandir}/man1/2ping6.1

%check
python3 setup.py test

%files
%doc ChangeLog COPYING README doc/2ping-protocol-examples.py doc/2ping.md doc/2ping-protocol.md
%{_bindir}/2ping
%{_bindir}/2ping6
%{_mandir}/man1/2ping.1%{ext_man}
%{_mandir}/man1/2ping6.1%{ext_man}
%{python3_sitelib}/*

%changelog
* Sat Nov  4 2017 aavindraa@gmail.com
- Update to version 4.1
  * Fixed --fuzz CRC function.
  * Added --encrypt option for shared-secret encrypted packets.
  * Added --listen --all-interfaces option for automatically binding to
  all interface IPs (requires Python netifaces module).
  * Simplified monotonic_clock functionality, relying on Python 3 for
  most functionality, reducing the possibility of platform bugs.
- Includes changes from 4.0
  * Rewrite to Python 3 (3.4 or higher).
  * Fixed hmac-sha256 handling, added hmac-sha512.
  * --nagios will now work when combined with --deadline, in addition to
  - -count.
  * Added Wireshark Lua dissector and sample capture.
  * Added battery level (ExtID 0x88a1f7c7).  Note that while 2ping
  recognizes the new option in incoming packets, it currently does not
  have the capability to send battery levels.
* Fri Jul 29 2016 jengelh@inai.de
- Make rpmlint happy by avoiding installation in %%build.
* Sun Jul 24 2016 p.drouand@gmail.com
- Update to version 3.2.1
  * Please read the ChangeLog; not able to track all changes since
    previous version
- Upstream moved to python
  * Remove %%{perl_requires} dependency
  * Remove perl recommendations; perl(Digest::CRC), perl(Digest::MD5),
    perl(Digest::SHA) and perl(IO::Socket::INET6)
  * Add python-devel and python-setuptools requirements
- Use official tarball and download Url
- Remove obsolete 2ping-fix-use-of-uninitialized-warning.patch
* Fri Apr  3 2015 jslaby@suse.com
- update to 1397618874.f2c2047
- 2ping-fix-use-of-uninitialized-warning.patch: add
* Wed Nov 10 2010 jslaby@suse.de
- Initial package (version 1.0)
